# Az - Blob Storage Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Storage Privesc

Pour plus d'informations sur le stockage, consultez :

{{#ref}}
../az-services/az-storage.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/blobServices/containers/blobs/read`

Un principal avec cette permission pourra **lister** les blobs (fichiers) à l'intérieur d'un conteneur et **télécharger** les fichiers qui pourraient contenir des **informations sensibles**.
```bash
# e.g. Microsoft.Storage/storageAccounts/blobServices/containers/blobs/read
az storage blob list \
--account-name <acc-name> \
--container-name <container-name> --auth-mode login

az storage blob download \
--account-name <acc-name> \
--container-name <container-name> \
-n file.txt --auth-mode login
```
### `Microsoft.Storage/storageAccounts/blobServices/containers/blobs/write`

Un principal avec cette permission pourra **écrire et écraser des fichiers dans des conteneurs**, ce qui pourrait lui permettre de causer des dommages ou même d'escalader des privilèges (par exemple, écraser du code stocké dans un blob) :
```bash
# e.g. Microsoft.Storage/storageAccounts/blobServices/containers/blobs/write
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Cela permettrait de supprimer des objets à l'intérieur du compte de stockage, ce qui pourrait **interrompre certains services** ou faire perdre au client **des informations précieuses**.

{{#include ../../../banners/hacktricks-training.md}}
